## spotweb 20111002+dfsg

=== debian/changelog ===
spotweb (20111002+dfsg-4) unstable; urgency=low

  * Update Dutch debconf translation

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Tue, 10 Jan 2012 15:51:46 +0100

spotweb (20111002+dfsg-3) unstable; urgency=low

  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #646747
  * [Debconf translation updates]
  * Swedish (Martin Bagge / brother).  Closes: #649453
  * German (Erik Pfannenstein).  Closes: #650007
  * Russian (Yuri Kozlov).  Closes: #650161
  * French (Julien Patriarca).  Closes: #650295
  * Czech (Michal Simunek).  Closes: #650679
  * Portuguese (Miguel Figueiredo).  Closes: #650765
  * Spanish; (Francisco Javier Cuadrado).  Closes: #650769
  * Danish (Joe Hansen).  Closes: #650843

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 30 Dec 2011 20:21:08 +0100

spotweb (20111002+dfsg-2) unstable; urgency=low

  * Updated dependency on msttcorefonts->ttf-liberation
  * Updated bundled jquery.dynatree version to 1.2.0

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Tue, 25 Oct 2011 09:47:41 +0200

spotweb (20111002+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #638446).

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Mon, 03 Oct 2011 07:48:30 +0200
