## spotweb 20111024~git0.5de06be6+dfsg

=== debian/changelog ===
spotweb (20111024~git0.5de06be6+dfsg-1) experimental; urgency=low

  * New upstream version:
    - Support posting spots

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Mon, 24 Oct 2011 11:56:33 +0200
