=== debian/control ===
Source: spotweb
Section: web
Priority: optional
Maintainer: Jan-Pascal van Best <janpascal@vanbest.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0), po-debconf, yui-compressor (>= 2.4.2)
Standards-Version: 3.9.2
Homepage: https://github.com/spotweb/spotweb
Vcs-Git: git://anonscm.debian.org/users/janpascal-guest/spotweb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/janpascal-guest/spotweb.git

Package: spotweb
Architecture: all
Depends: ${misc:Depends}, dbconfig-common, ucf, 
 apache2, libapache2-mod-php5, 
 php5-mysql, php5-curl, php-net-nntp (>= 1.5.0~rc1), php5-gmp, 
 php5-gd, msttcorefonts,
 libjs-jquery (>= 1.6.2), libjs-jquery-fancybox, libjs-jquery-cookie,
 libjs-jquery-mousewheel, libjs-jquery-easing, 
 libjs-jquery-ui (>= 1.8.ooops.14), libjs-jquery-form
Recommends: mysql-client, mysql-server
Suggests: sabnzbdplus, nzbget
Description: Web application to search and filter usenet spots
 Spotweb is a web-based version of SpotNet. Spotweb downloads spot posting from
 Usenet, that contain information about uploaded binaries. Spotweb allows you
 to search, filter and view the spots and comments. It integrates with NZB 
 downloaders such as NZBGet and sabnzb+ to download the binaries from Usenet.
