=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,7 @@
 	find $(CURDIR)/debian/spotweb/usr/share/spotweb/lib/ -type f -exec chmod a-x '{}' \;
 	find $(CURDIR)/debian/spotweb/usr/share/spotweb/www/ -type f -exec chmod a-x '{}' \;
 	find $(CURDIR)/debian/spotweb/usr/share/spotweb/js/ -type f -exec chmod a-x '{}' \;
+	find $(CURDIR)/debian/spotweb/usr/share/spotweb/css/ -type f -exec chmod a-x '{}' \;
 	find $(CURDIR)/debian/spotweb/usr/share/spotweb/Math/ -type f -exec chmod a-x '{}' \;
 	find $(CURDIR)/debian/spotweb/usr/share/spotweb/Crypt/ -type f -exec chmod a-x '{}' \;
 	chmod a-x $(CURDIR)/debian/spotweb/etc/spotweb/*
@@ -27,6 +28,8 @@
 	dh_link usr/share/javascript/jquery-ui/css/smoothness/jquery-ui.css usr/share/spotweb/templates/we1rdo/css/jquery-ui-1.8.13.custom.css
 	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/js/jquery/jquery.cookie.js
 	dh_link usr/share/javascript/jquery-cookie/jquery.cookie.min.js usr/share/spotweb/js/jquery/jquery.cookie.js
+	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/js/jquery/jquery.form.js
+	dh_link usr/share/javascript/jquery-form/jquery.form.min.js usr/share/spotweb/js/jquery/jquery.form.js
 	# Fancybox: use Debian version in /usr/share/javascript/jquery-fancybox
 	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/js/fancybox/jquery.easing-1.3.pack.js
 	dh_link usr/share/javascript/jquery-easing/jquery.easing.min.js usr/share/spotweb/js/fancybox/jquery.easing-1.3.pack.js
@@ -42,15 +45,16 @@
 			usr/share/spotweb/js/fancybox/$$( basename "$$f" ); \
 	done
 	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/www/images/ttf/Arialbd.TTF
-	# Use debian-supplied alternative free font instead of font bundled with
-	# upstream
-	dh_link usr/share/fonts/truetype/liberation/LiberationSans-Bold.ttf usr/share/spotweb/www/images/ttf/Arialbd.TTF
+	dh_link usr/share/fonts/truetype/msttcorefonts/arialbd.ttf usr/share/spotweb/www/images/ttf/Arialbd.TTF
 	# Remove licenses recorded in debian/copyright
 	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/js/dynatree/GPL-LICENSE.txt
 	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/js/dynatree/MIT-License.txt
 	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/lib/notifications/prowl/LICENSE.txt
 	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/lib/notifications/twitter/LICENSE.txt
+	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/lib/notifications/nma/LICENSE.txt
 	rm -f $(CURDIR)/debian/spotweb/usr/share/doc/spotweb/INSTALL
+	# Remove zip file with icons that are also in iconsprite.png
+	rm -f $(CURDIR)/debian/spotweb/usr/share/spotweb/www/images/original_icons.zip
 
 override_dh_install: debian/apache.conf
 	# Create packed css and js files where spotweb expects them
