## spotweb 20130826+dfsg2

=== debian/changelog ===
spotweb (20130826+dfsg2-2) unstable; urgency=low

  * Use 'localhost' for database host if not set by dbconfig-common. 
    Closes: #736111

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Sun, 19 Jan 2014 22:58:44 +0100

spotweb (20130826+dfsg2-1) unstable; urgency=low

  * New upstream version (v20130826)
  * Updated debian/copyright
  * Update README.source and get-orig-source
  * Add upstream changelog
  * Updates for Apache 2.4 configuration snippets. Closes: #669806
  * Use Debian-supplied jquery-form javascript library instead of upstream
    embedded version.
  * Remove upstream embedded font files, use Debian-packaged fonts instead.
  * The news server information is now maintained in the spotweb database, and
    not in the configuration files. That means you will need to configure your
    news server information again (admin/config/settings/newsservers).
  * Disable Notifo notifications, the service has been discontinued.
  * Do not exit postinst script with error if database update fails. 
    Closes: #709877
  * Have dbconfig-common handle database upgrades
  * Fix for database update on package upgrade
  * Removed debian/po, not needed any more. Closes: #662123, #718528
  * Change dependency to fonts-liberation. Closes: #722404
  * Fix patch 0007 which prevented a fresh install, thanks to Henkjan 
    Gersen for catching this.
  * Update Apache configuration file to provide newznab provider urls.

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 17 Jan 2014 11:51:12 +0100

spotweb (20111002+dfsg-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * spotweb.cron.hourly: Gracefully skip the cronjob with an exit code of 0
    after the package was removed.  (Closes: #663030)

 -- Andreas Beckmann <anbe@debian.org>  Sun, 03 Feb 2013 23:09:14 +0100
