=== debian/control ===
Source: spotweb
Section: web
Priority: optional
Maintainer: Jan-Pascal van Best <janpascal@vanbest.org>
Build-Depends: debhelper (>= 9.0.0), po-debconf, yui-compressor (>= 2.4.2),
 dh-apache2, xsltproc
Standards-Version: 3.9.5
Homepage: https://github.com/spotweb/spotweb
Vcs-Git: git://anonscm.debian.org/users/janpascal-guest/spotweb.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/janpascal-guest/spotweb.git

Package: spotweb
Architecture: all
Depends: ${misc:Depends}, dbconfig-common, mysql-client,
 ucf, libapache2-mod-php5 | php5, 
 php5-mysql | php5-mysqlnd, php5-curl, php-net-nntp (>= 1.5.0~rc1), php5-gmp, 
 php5-gd, php5-json, fonts-liberation,
 libjs-jquery (>= 1.6.2), libjs-jquery-fancybox, libjs-jquery-cookie,
 libjs-jquery-mousewheel, libjs-jquery-easing, 
 libjs-jquery-ui (>= 1.8.ooops.14), libjs-jquery-form
Recommends: mysql-server, apache2 | httpd, ${misc:Recommends}
Suggests: sabnzbdplus, nzbget
Description: web interface to search and filter Usenet spots
 SpotWeb is a web-based version of the decentralized news-indexing system
 SpotNet, which fetches Usenet "spots" - postings that contain information
 about uploaded binaries. SpotWeb allows searching, filtering, and viewing
 of the spots and comments. It integrates with NZB downloaders such as
 NZBget and SABnzbd+ to download the binaries from Usenet.
