=== debian/watch ===
version = 3 
opts="uversionmangle=s/^v//,dversionmangle=s/\+dfsg$//;s/^0~//"  \
http://githubredir.debian.net/github/spotweb/spotweb/ (.*).tar.gz
