## spotweb 20130826+dfsg3

=== debian/changelog ===
spotweb (20130826+dfsg3-4) unstable; urgency=medium

  * Depend on default-mysql-* metapackages (Closes: #848451)
  * Update Standards-Version to 3.9.8 (no updates needed)
  * Update VCS urls to https

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Fri, 13 Jan 2017 22:38:53 +0100

spotweb (20130826+dfsg3-3) unstable; urgency=medium

  * Updates for PHP7 (Closes: #821662)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Mon, 18 Apr 2016 21:56:18 +0200

spotweb (20130826+dfsg3-2) unstable; urgency=low

  * Also remove php-seclib from debian/db-update/v20111210/Crypt

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Tue, 31 Mar 2015 11:53:54 +0200

spotweb (20130826+dfsg3-1) unstable; urgency=medium

  * Replace php files under Crypt/ with files from package php-seclib 
    Closes: #781420
  * Add extra source for upstream minified jquery.tipTip.minified.js,
    remove upstream minified jquery.tipTip.minified.js
  * Updated Standards-Version to 3.9.6 (no changes needed)
  * Add explicit build-depends to apache2-dev (needed for debhelper)

 -- Jan-Pascal van Best <janpascal@vanbest.org>  Mon, 30 Mar 2015 23:09:57 +0200
