=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 	find $(CURDIR)/debian/spotweb/usr/share/spotweb/www/ -type f -exec chmod a-x '{}' \;
 	find $(CURDIR)/debian/spotweb/usr/share/spotweb/js/ -type f -exec chmod a-x '{}' \;
 	find $(CURDIR)/debian/spotweb/usr/share/spotweb/Math/ -type f -exec chmod a-x '{}' \;
-	find $(CURDIR)/debian/spotweb/usr/share/spotweb/Crypt/ -type f -exec chmod a-x '{}' \;
 	chmod a-x $(CURDIR)/debian/spotweb/etc/spotweb/*
 	chmod a-x $(CURDIR)/debian/spotweb/usr/share/spotweb/scripts/*.php
 
@@ -65,6 +64,7 @@
 	yui-compressor -o templates/we1rdo/js/jquery.address-1.4.min.js debian/extra_sources/jquery.address-1.4.js
 	yui-compressor -o js/dynatree/jquery.dynatree.min.js debian/extra_sources/jquery.dynatree.js
 	yui-compressor -o js/jquery/jquery.preload-min.js debian/extra_sources/jquery.preload.js
+	yui-compressor -o templates/we1rdo/js/jquery.tipTip.minified.js debian/extra_sources/jquery.tipTip.js
 	# Install dbconfig-common database initialisation scripts
 	install --directory $(CURDIR)/debian/spotweb/usr/share/dbconfig-common/scripts/spotweb/install
 	install debian/upgrade-db.sh $(CURDIR)/debian/spotweb/usr/share/dbconfig-common/scripts/spotweb/install/mysql
