=== debian/watch ===
version = 3 
opts="uversionmangle=s/^v//,dversionmangle=s/\+dfsg$//;s/^0~//"  \
https://github.com/spotweb/spotweb/tags .*/(.*)\.tar\.gz
